from django.db import models
import uuid

class DateInterval(models.Model):
    id = models.UUIDField(primary_key=True, default=uuid.uuid4, editable=True)
    event = models.ForeignKey('Event', on_delete=models.CASCADE)
    court_index = models.IntegerField()
    start_date = models.DateTimeField()
    end_date = models.DateTimeField()
